pyresample (1.22.0-1) unstable; urgency=medium

  * New upstream release (Closes: 997502)
  * debian/patches:
    - refresh all patches.
  * debian/control:
    - add build dependency on python3-pytest-lazy-fixture
      and python3-importlib-metadata.
  * debian/rules:
    - exclude tests that work only when the package is installed.
  * Update d/python3-pyresample.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Oct 2021 09:27:05 +0000

pyresample (1.21.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New upstream release (Closes: #985019).
  * Update debian/copyright file.
  * debian/control:
    - remove unnecessary versioned dependenvy (pykdtree).
  * debian/patches:
    - New 0003-Fix-mathjax-path.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Sep 2021 07:09:39 +0000

pyresample (1.17.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add dependency on zarr
  * debian/patches:
    - drop 0003-Projection-names-compatibility.patch, applied upstream
    - drop 0004-Install-test-data.patch, applied upstream
    - drop 0005-pyproj3-compat.patch, applied upstream

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 16 Nov 2020 07:31:38 +0000

pyresample (1.16.0+ds-3) unstable; urgency=medium

  * debian/patches:
    - new 0005-pyproj3-compat.patch to fix compatibility with PyProj >= 3.0.
      See also https://github.com/pytroll/pyresample/pull/311.
      Closes: #973867, #973868.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Nov 2020 10:09:34 +0000

pyresample (1.16.0+ds-2) unstable; urgency=medium

  * debian/control:
    - drop build dependency form deprecated basemap (closes: #972475)
    - add missing dependencies
  * Update lintian overrides for python3-pyresample.
  * Add Forwarded tag to all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 22 Oct 2020 07:47:05 +0000

pyresample (1.16.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - add dependency from python3-shapely
  * debian/patches:
    - drop 0003-Fix-tests-on-i386.patch: applied upstream
    - refresh and renumber all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 13 Jun 2020 07:08:57 +0000

pyresample (1.15.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * Exclude auto-generated C source files from the orig archive.
  * Use cython during the build.
  * Use pytest for testing (new recommended tool).
  * debian/patches:
    - drop 0008-Compatibility-with-PyProj-v2.6.0.patch, applied upstream
      (see https://github.com/pytroll/pyresample/pull/258)
    - drop 0001-Skip-dask-related-tests-if-dask-is-not-available.patch,
      0002-Make-xarray-optional-for-testing.patch and
      0004-Comapt-with-dask-1.0.patch, no longer necessary
    - refresh and renumber remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 23 Mar 2020 14:56:10 +0000

pyresample (1.14.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0, no changes.
  * debian patches:
    - new 0008-Compatibility-with-PyProj-v2.6.0.patch (Closes: 954219)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 19 Mar 2020 07:57:11 +0000

pyresample (1.14.0-3) unstable; urgency=medium

  * debian/patches:
    - drop 0001-fix-proj4-initialization.patch,no longer necessary
    - renumber all patches
    - new 0007-Projection-names-compatibility.patch (CLoses: 949274)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 23 Jan 2020 07:50:04 +0000

pyresample (1.14.0-2) unstable; urgency=medium

  * debian/patches:
    - new 0007-Fix-tests-on-i386.patch: do not use equality
      to test floating point values

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 23 Dec 2019 17:11:33 +0000

pyresample (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright file.
  * debian/patches:
    - drop 0007-Fix-pyproj-inf.patch: applied upstream
    - refresh remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 23 Dec 2019 09:36:58 +0000

pyresample (1.13.2-2) unstable; urgency=medium

  * Drop Provides: ${python3:Provides}.
  * debian/patches:
    - new 0007-Fix-pyproj-inf.patch, imported form
      upstream to fix unittest failures
      (closes: #946003)
  * debian/tests:
    - replace the deprecated ADTTMP with AUTOPKGTEST_TMP

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 03 Dec 2019 07:33:10 +0000

pyresample (1.13.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Refresh all pathces.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 12 Oct 2019 06:59:35 +0000

pyresample (1.13.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches
  * debian/control:
    - explicitly specify Rules-Requires-Root: no

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 30 Sep 2019 08:01:23 +0200

pyresample (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - refresh all patches
    - new 0005-Comapt-with-dask-1.0.patch and
      0006-Skip-test-on-deprecatet-basemap.patch

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Sep 2019 17:36:42 +0000

pyresample (1.12.3-6) unstable; urgency=medium

  * Team upload.

  [ Antonio Valentino ]
  * Use debhelper-compat instead of debian/compat.
  * debian/patches:
    - new 0004-Detect-broken-basemap.patch: workaround for failures
      of basemap imports due to incompatibility with new pyproj
      versions (Closes: #939022)
  * debian/control:
    - depend on pyproj >= 2.3.1
    - drop dependency on python3-mock (not really necessary with Python 3)
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 02 Sep 2019 18:03:28 +0200

pyresample (1.12.3-5) unstable; urgency=medium

  * Remove Python 2 form debian/tests.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 24 Jul 2019 05:50:57 +0000

pyresample (1.12.3-4) unstable; urgency=medium

  [ Antonio Valentino ]
  * Drop Python 2 support.
    (closes: #932621)

  [ Bas Couwenberg ]
  * Add ${python3:Provides} to arch: any packages.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Jul 2019 15:29:47 +0000

pyresample (1.12.3-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.4.0, no changes.

  [ Antonio Valentino ]
  * Drop build-dependency from python-xarray (Closes: #932509).
  * debian/patches:
    new debian/patches/0003-Make-xarray-optional-for-testing.patch
  * Set compat to 12.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Jul 2019 18:24:38 +0000

pyresample (1.12.3-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Jul 2019 09:25:16 +0200

pyresample (1.12.3-1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Update gbp.conf to use --source-only-changes by default.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches:
    - refrsh all patches
  * Set distribution to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 10 Jul 2019 06:06:22 +0000

pyresample (1.12.0-1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.3.0, no changes.
  * Remove package name from lintian overrides.

  [ Antonio Valentino ]
  * New upstream release.
  * Update debian/copyright file.
  * debian/patches:
    - drop 0001-fix-doc-build.patch (applied upstream)
    - refresh and renumber remaining pathces
    - improve 0002-Skip-dask-related-tests-if-dask-is-not-available.patch
  * debian/control:
    - added dependencies from xarray and matplotlib

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 22 Apr 2019 12:36:25 +0000

pyresample (1.10.3-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control
    - add dependency form rasterio
  * debian/patches
    - refresh all patches

  [ Bas Couwenberg ]
  * Replace tabs with spaces in control file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 01 Dec 2018 20:10:19 +0000

pyresample (1.10.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.
  * debian/patches
    - drop 0004-Regenerate-cython-extensions.patch and
      0005-Fix-StopIteration-handling.patch: applied upstream
    - refresh remaining patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 02 Oct 2018 18:31:56 +0000

pyresample (1.10.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.1.5, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control
    - require pykdtree >= 1.3.1.
  * debian/patches
    - drop test_spherical.patch, applied upstrem.
    - refresh remaining patches.
    - new 0003-Skip-TestXArrayResamplerNN-if-dask-is-not-available.patch:
      skip tests requiring dask if dask is not available.
    - new 0004-Regenerate-cython-extensions.patch
      Fixes a FTBFS with Python 3.7 (Closes: #903530).
    - New debian/patches/0005-Fix-StopIteration-handling.patch.
      Fix StopIteration handling for compatibility with Python 3.7 and
      PEP 479. See also https://github.com/pytroll/pyresample/pull/134.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Jul 2018 11:50:40 +0000

pyresample (1.9.3-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix TestArc failure on some architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jun 2018 14:55:34 +0200

pyresample (1.9.3-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release
  * debian/patches
    - refresh all patches

  [ Bas Couwenberg ]
  * Update copyright years for Martin Raspaud.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 12 Jun 2018 05:56:36 +0000

pyresample (1.9.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.1.4, no changes.
  * Update copyright years for PyTroll Developers.
  * Fix typo in lintian override comment.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/patches
    - refresh all patches
  * debian/control
    - add build dependency for cartopy.
      For binary packages now cartopy is recommended,
      while basemap is only suggested
    - add dependency form scipy which is suggested by cartopy
      but is necessary for plotting
  * debian/copyright
    - update remove no longer necessaty entries for files in the appveyor
      folder

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Apr 2018 08:19:51 +0000

pyresample (1.8.3-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - refresh all patches
  * debian/control
    - update Vcs-* fields to point to salsa

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 23 Mar 2018 07:28:30 +0000

pyresample (1.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Mar 2018 17:14:09 +0000

pyresample (1.8.1-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release
  * Update copyright file
  * debian/control
    - remove unnecessary versioned dependency from pykdtree
  * debian/rules
    - remove unnecessary dh argument: --parallel

  [ Bas Couwenberg ]
  * Add upstream metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 25 Feb 2018 10:53:36 +0000

pyresample (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * Standard version bumped to v4.1.3 (no change)
  * Update compat version
  * debian/control
    - recommend dask
  * Drop debian/source.lintian-overrides: no longer necessary
  * New python3-pyresample.lintian-overrides for:
    python-package-depends-on-package-from-other-python-variant
  * debian/patches
    - drop 0003-fix-tests-on-big-endian-architectures.patch:
      applied upstream
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 05 Feb 2018 07:18:35 +0000

pyresample (1.7.1-3) unstable; urgency=medium

  * debian/control
    - remove build dependency form python2-xarray: it is not
      strictly necessary and causes problems with migration to
      testing
    - downgrade relation of python3-pyresample form python3-xarray
      to Suggerst

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 26 Dec 2017 20:44:24 +0000

pyresample (1.7.1-2) unstable; urgency=medium

  * debian/control
    - recommend python3-xarray
  * debian/patches
    - new patch 0003-fix-tests-on-big-endian-architectures.patch (see also
      upstream issues https://github.com/pytroll/pyresample/pull/90 and
      https://github.com/pytroll/pyresample/pull/91

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Dec 2017 17:25:17 +0000

pyresample (1.7.1-1) unstable; urgency=medium

  * New upstream release
  * Standerd version bumped to 4.1.2 (no changes)
  * debiam/patches
    - refresh all patches
  * debian/control
    - mark python-pyresample-doc and python-pyresample-test
      as Multi-Arch foreign

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 22 Dec 2017 13:39:27 +0000

pyresample (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Standard version bumped to v4.1.1 (no change)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Oct 2017 07:46:10 +0000

pyresample (1.6.1-1) unstable; urgency=medium

  * New upstream release
  * Standard version bumped to 4.1.0 (no change)
  * Refresh all patches
  * debian/control
    - build-depend on python3-sphinx instead of python-sphinx
    - remove un-necessary Testsuite: autopkgtest
  * new debian/source.lintian-overrides file.
    Suppress python-foo-but-no-python3-foo: the package only
    contains common test data

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 24 Sep 2017 06:47:24 +0000

pyresample (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - drop dependenct from python3 mock (use the stdlib version)
    - add dependency from six
  * Refresh all patches
  * debian/rules
    - fix clean target

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 16 Sep 2017 11:41:15 +0000

pyresample (1.5.0-3) unstable; urgency=medium

  * Team upload.
  * Enable PIE hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 21:36:52 +0200

pyresample (1.5.0-2) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/control
    - drop X-Python-Version and X-Python3-Version fields
  * Fix documentation installaton to avoid duplicate files in the package

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.0.0, no changes.
  * Move from experimental to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 21 Jun 2017 05:52:48 +0000

pyresample (1.5.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - updated dependencies (pillow, pyyaml, mock)
    - pyresample no longer supports Python 2.6
  * debian/patches
    - refresh all patches
  * debian/test
    - depend on python*-mock

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Jun 2017 12:02:21 +0200

pyresample (1.3.0-1) experimental; urgency=low

  * New upstream release
  * Update copyright file
  * Refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 12 Mar 2017 08:04:39 +0000

pyresample (1.2.9-1) unstable; urgency=medium

  * New upstream release

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 14 Dec 2016 21:40:38 +0000

pyresample (1.2.8-1) unstable; urgency=medium

  * New upstream release

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 07 Dec 2016 09:27:01 +0000

pyresample (1.2.7-1) unstable; urgency=medium

  * New upstream release

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 16 Nov 2016 20:20:20 +0000

pyresample (1.2.6-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - drop 0003-fix-tests-for-mips.patch: applied upstream
  * Fix automatic testing with autopkgtest (closes: #840286)
    - install test data file in python-pyresample-test
    - drop sources from python-pyresample-test: already installed
      by other packages
  * debian/control
    - now python*-pyresample packages depend on python-pyresample-test
  * debian/rules
    - no longer override_dh_python2 for python-pyorbital-test

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 30 Oct 2016 08:15:20 +0000

pyresample (1.2.5-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix test_custom_uncert and test_gauss_uncert for mips*.
    Thanks to Daniel Knezevic for the patch.
    (closes: #836733)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Sep 2016 13:18:07 +0200

pyresample (1.2.5-1) unstable; urgency=medium

  * new upstream release
  * debian/control
    - remove non necessary (build) dependency from scipy
    - pykdtree is naw a mandatory dependency
  * debian/parches
    - drop 0003-skip-nearest-resize-test.patch (no longer necessary)
    - drop 0004-Use-cmath.patch (no longer necessary)
    - refresh and renumber remanining patches
  * debian/copyright
    - update copyright file

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Jul 2016 09:47:40 +0000

pyresample (1.2.4-2) unstable; urgency=medium

  * debian/parches
    - New 0004-Use-cmath.patch to use the cmath header instead of math.h
      (Closes: #830447)
    - Refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Jul 2016 10:38:15 +0000

pyresample (1.2.4-1) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Override dh_python{2,3} to call dh_numpy{,3} too.
  * Drop .0 from GPL-3 license shortname.
  * Update dh_python{2,3} & dh_numpy{,3} calls to act on specific package.

  [ Antonio Valentino ]
  * New upstream release
  * Refresh all patches
  * debian/rules
    - enable parallel build
    - enable hardening flags
  * debian/copyright
    - updated copyright file
    - fixed DEP-5 url
  * debian/control
    - standard version bumped to 3.9.8 (no change)
    - depends on pykdtree >= 1.1.1
    - add dependency from pykdtree to the Python 3 package
    - switch to architectire "any", now the package contains a binary
      extension
    - add build dependency from python{,3}-all-dev and cython

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 02 Jul 2016 17:15:53 +0000

pyresample (1.1.6-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release
  * debian/gbp.conf file added
  * debian/control
    - standard version bumped to 3.9.7 (no change)
    - updated VCS URL
    - update build dependencies
  * debian/patches
    - removed patch for skipping basemap tests (no longer necessary)
    - refresh remaining patches
    - new patch for skipping tests that fail with python 3.
      See also upstream bug https://github.com/pytroll/pyresample/issues/36
  * watch file updated

  [ Bas Couwenberg ]
  * debian/copyright
    - Group copyright by license

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Feb 2016 17:30:23 +0000

pyresample (1.1.3-1) unstable; urgency=medium

  * New upstream version
  * Updated watch file
  * Updated copyright file: upstream license change form GPL to LGPL
  * Update upstream project home page
  * Standards version updated to 3.9.6 (no changes)
  * debian/patches
    - drop longer necessary patches
    - new patch for skipping tests that require basemap when it is
      not abailable
    - new patch for fixing sphinx doc building
    - new patch for fixing proj4 initialization in unittests (closes: #792068)
  * debian/control
    - removed Provides field from the binary package section in the
      control file. It is not necessary
    - added an explicit build dependency from dh-python
    - updated package dependencies
    - drop deprecated parameter XS-Testsuite
    - fix Vcs-Browser field format
  * debian/ruels
    - fix test invocation
  * New package for Python 3
  * Switch to pybuild build system
  * Fix doc build

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 18 Jul 2015 10:50:25 +0000

pyresample (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #720529, #720627)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Jun 2014 07:58:53 +0000
